<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'moblyze',

    /*
     * Package.
     */
    'package'   => 'waterway',

    /*
     * Modules.
     */
    'modules'   => ['waterway'],

    
    'waterway'       => [
        'model' => [
            'model'                 => \Moblyze\Waterway\Models\Waterway::class,
            'table'                 => 'waterways',
            'presenter'             => \Moblyze\Waterway\Repositories\Presenter\WaterwayPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'address',  'city',  'postcode',  'latitude',  'longitude',  'user_id',  'user_type',  'slug',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'waterway/waterway',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'Waterway',
            'module'    => 'Waterway',
        ],

    ],
];
