# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/moblyze/waterway/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/moblyze/waterway/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Moblyze\\Waterway\\": "packages/moblyze/waterway/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Moblyze\Waterway\Providers\WaterwayServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Waterway'  => Moblyze\Waterway\Facades\Waterway::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Moblyze\\WaterwayTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Moblyze\Waterway\Providers\WaterwayServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Moblyze\Waterway\Providers\WaterwayServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Moblyze\Waterway\Providers\WaterwayServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/waterway/{modulename}

**User**

    http://path-to-route-folder/user/waterway/{modulename}

**Public**

    http://path-to-route-folder/waterways


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/waterway/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/waterway/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/waterway/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/waterway/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/waterway/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/waterway/{modulename}/{slug}
    METHOD: GET