Lavalite package that provides waterway management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `moblyze/waterway`.

    "moblyze/waterway": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Moblyze\Waterway\Providers\WaterwayServiceProvider::class,

And also add it to alias

    'Waterway'  => Moblyze\Waterway\Facades\Waterway::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Moblyze\\WaterwayTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Moblyze\Waterway\Providers\WaterwayServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Moblyze\Waterway\Providers\WaterwayServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Moblyze\Waterway\Providers\WaterwayServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/waterway/{modulename}

**User**

    http://path-to-route-folder/user/waterway/{modulename}

**Public**

    http://path-to-route-folder/waterways


### API endpoints

**List**

    http://path-to-route-folder/api/user/waterway/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/waterway/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/waterway/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/waterway/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/waterway/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/waterway/{modulename}/{slug}
    METHOD: GET