<?php

namespace Moblyze\Waterway;

use User;

class Waterway
{
    /**
     * $waterway object.
     */
    protected $waterway;

    /**
     * Constructor.
     */
    public function __construct(\Moblyze\Waterway\Interfaces\WaterwayRepositoryInterface $waterway)
    {
        $this->waterway = $waterway;
    }

    /**
     * Returns count of waterway.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.waterway.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->waterway->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\WaterwayUserCriteria());
        }

        $waterway = $this->waterway->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('waterway::' . $view, compact('waterway'))->render();
    }
}
